nn.pp.rccore

## Enum RCCore.MouseSyncType

- java.lang.Object
- - java.lang.Enum<RCCore.MouseSyncType>
  - - nn.pp.rccore.RCCore.MouseSyncType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.MouseSyncType>
  Enclosing interface:
    RCCore

      public static enum RCCore.MouseSyncType
      extends java.lang.Enum<RCCore.MouseSyncType>

  Enumeration for the type of Mouse Sync

  Mouse pointer synchronization is an important problem with KVM switches. To keep the mouse pointers synchronous, it is sometimes necessary to synchronize the mouse pointers. This may be done using an intelligent algorithm ("the hard way") or quick and dirty.

  See Also:
    `RCCore.syncMouse(RCCore.MouseSyncType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAST` Fast resync, keep mouse parameters
    `HARD` Complete resync, (re)determine mouse parameters
    `NORM` Resync fast or hard, whatever is necessary

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.MouseSyncType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.MouseSyncType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAST

          public static final RCCore.MouseSyncType FAST

      Fast resync, keep mouse parameters

    - #### HARD

          public static final RCCore.MouseSyncType HARD

      Complete resync, (re)determine mouse parameters

    - #### NORM

          public static final RCCore.MouseSyncType NORM

      Resync fast or hard, whatever is necessary

  - ### Method Detail

    - #### values

          public static RCCore.MouseSyncType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.MouseSyncType c : RCCore.MouseSyncType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.MouseSyncType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.